<CsoundSynthesizer>
<CsOptions>
  -W -o Phisem_Guiro.wav
</CsOptions>

<CsScore>
i1 	0 	2 1000	0.01 128 0 4000 8000 
  
;; Since it is played using the instrument number set in the CsInstrumentToPlay section, an auto score building program
;; can recognise these as test notes, rather than initialisation type notes, and leave them out
</CsScore>

<CsInstrumentToPlay>

i1 40*AMP 0.01 128 0 CPS*4 CPS*8
; Amplitude, Duration, number of objects, energy to feed back range 0 to 1, main resonant frequency, first resonant frequency - Amplitude is randomised
</CsInstrumentToPlay>

<CsInstruments>

instr 1  

kamp = p4
idettack = p5 ;period of time over which all sound is stopped 
inum = p6 ; The number of beads, teeth, bells, timbrels, etc. If zero, the default value is 128
idamp =0; not used
imaxshake = p7 ; amount of energy to add back into the system. The value should be in range 0 to 1
ifreq = p8 ; the main resonant frequency. The default value is 2800
ifreq1 = p9 ; the first resonant frequency. The default value is 2240. 

ar guiro kamp, idettack , inum , idamp , imaxshake , ifreq, ifreq1,

    out ar
    endin
</CsInstruments>

</CsoundSynthesizer>
